- Qt 5.15
- Qt 3D
- C++ Classes
- QButtonAxisInput
- Qt 5.15.11 Reference Documentation

# QButtonAxisInput Class

class Qt3DInput::QButtonAxisInput

An axis input controlled by buttons The axis value is controlled by buttons rather than a traditional analog input such as a joystick. More...

Header: | #include <Qt3DInput/QButtonAxisInput>
qmake: | QT += 3dinput
Since: | Qt 5.7
Instantiated By: | ButtonAxisInput
Inherits: | Qt3DInput::QAbstractAxisInput

This class was introduced in Qt 5.7.

- List of all members, including inherited members

## Properties

- acceleration : float
- buttons : QVector<int>
- deceleration : float
- scale : float

## Public Functions

| QButtonAxisInput(Qt3DCore::QNode *parent = nullptr)
float | acceleration() const
QVector<int> | buttons() const
float | deceleration() const
float | scale() const

## Public Slots

void | setAcceleration(float acceleration)
void | setButtons(const QVector<int> &buttons)
void | setDeceleration(float deceleration)
void | setScale(float scale)

## Signals

void | accelerationChanged(float acceleration)
void | buttonsChanged(const QVector<int> &buttons)
void | decelerationChanged(float deceleration)
void | scaleChanged(float scale)

## Detailed Description

## Property Documentation

### acceleration : float

Specifies the rate at which the axis value changes when a button is held

Access functions:

float | acceleration() const
void | setAcceleration(float acceleration)

Notifier signal:

void | accelerationChanged(float acceleration)

### buttons : QVector<int>

Specifies the buttons which control the axis

Access functions:

QVector<int> | buttons() const
void | setButtons(const QVector<int> &buttons)

Notifier signal:

void | buttonsChanged(const QVector<int> &buttons)

### deceleration : float

Specifies the rate at which the axis value returns to normal when a button is released

Access functions:

float | deceleration() const
void | setDeceleration(float deceleration)

Notifier signal:

void | decelerationChanged(float deceleration)

### scale : float

Specifies how the axis output value is scaled. No scaling is applied by default so it defaults to 1.

Access functions:

float | scale() const
void | setScale(float scale)

Notifier signal:

void | scaleChanged(float scale)

## Member Function Documentation

### QButtonAxisInput::QButtonAxisInput(Qt3DCore::QNode *parent = nullptr)

Constructs a new QButtonAxisInput instance with parent.